QXmpp: QXmppJingleRtpHeaderExtensionProperty Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppJingleRtpHeaderExtensionProperty Class Reference

The QXmppJingleRtpHeaderExtensionProperty class represents the XEP-0294: Jingle RTP Header Extensions Negotiation "rtp-hdrext" element. More...

## Public Types
enum | Senders { Both , Initiator , Responder }

## Public Member Functions
| QXmppJingleRtpHeaderExtensionProperty ()
| Default constructor.
| QXmppJingleRtpHeaderExtensionProperty (const QString &uri, uint32_t id)
uint32_t | id () const
void | setId (uint32_t id)
QString | uri () const
void | setUri (const QString &uri)
Senders | senders () const
void | setSenders (Senders senders)
QVector< QXmppSdpParameter > | parameters () const
void | setParameters (const QVector< QXmppSdpParameter > &parameters)

## Static Public Member Functions
static bool | isJingleRtpHeaderExtensionProperty (const QDomElement &element)

## Detailed Description

The QXmppJingleRtpHeaderExtensionProperty class represents the XEP-0294: Jingle RTP Header Extensions Negotiation "rtp-hdrext" element.

Since
  QXmpp 1.5

## Member Enumeration Documentation

## ◆ Senders

enum QXmppJingleRtpHeaderExtensionProperty::Senders

Parties that are allowed to send the negotiated RTP header extension

Enumerator
Both | The initiator and the sender are allowed.
Initiator | Only the initiator is allowed.
Responder | Only the responder is allowed.

## Constructor & Destructor Documentation

## ◆ QXmppJingleRtpHeaderExtensionProperty()

QXmppJingleRtpHeaderExtensionProperty::QXmppJingleRtpHeaderExtensionProperty | ( | const QString & | uri,
|  | uint32_t | id )

Default constructor

Since
  QXmpp 1.14

## Member Function Documentation

## ◆ id()

uint32_t QXmppJingleRtpHeaderExtensionProperty::id | ( |  | ) | const

Returns the ID of the RTP header extension.

The ID is 0 if it is unset.

Returns
  the RTP header extension's ID

## ◆ isJingleRtpHeaderExtensionProperty()

bool QXmppJingleRtpHeaderExtensionProperty::isJingleRtpHeaderExtensionProperty | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is an RTP header extensions property element.

Parameters

  element | DOM element being checked

Returns
  whether element is an RTP header extension property element

## ◆ parameters()

QVector< QXmppSdpParameter > QXmppJingleRtpHeaderExtensionProperty::parameters | ( |  | ) | const

Returns the parameters of the RTP header extension.

Returns
  the RTP header extension's parameters

## ◆ senders()

QXmppJingleRtpHeaderExtensionProperty::Senders QXmppJingleRtpHeaderExtensionProperty::senders | ( |  | ) | const

Returns the parties that are allowed to send the negotiated RTP header extensions.

Returns
  the parties that are allowed to send the RTP header extensions

## ◆ setId()

void QXmppJingleRtpHeaderExtensionProperty::setId | ( | uint32_t | id | ) |

Sets the ID of the RTP header extension.

The ID must either be at least 1 and at most 256 or at least 4096 and at most 4351.

Parameters

  id | RTP header extension's ID

## ◆ setParameters()

void QXmppJingleRtpHeaderExtensionProperty::setParameters | ( | const QVector< QXmppSdpParameter > & | parameters | ) |

Sets the parameters of the RTP header extension.

Additional parameters can be set by this method.

Parameters

  parameters | RTP header extension's parameters

## ◆ setSenders()

void QXmppJingleRtpHeaderExtensionProperty::setSenders | ( | Senders | senders | ) |

Sets the parties that are allowed to send the negotiated RTP header extensions.

Parameters

  senders | parties that are allowed to send the RTP header extensions

## ◆ setUri()

void QXmppJingleRtpHeaderExtensionProperty::setUri | ( | const QString & | uri | ) |

Sets the URI defning the RTP header extension.

Parameters

  uri | RTP header extension's URI

## ◆ uri()

QString QXmppJingleRtpHeaderExtensionProperty::uri | ( |  | ) | const

Returns the URI defning the RTP header extension.

Returns
  the RTP header extension's URI

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp